Subject: [AAA-WG]: [Issue] Some editorials on Base-06

From: Pat Calhoun <[email-masked]>
Date: Tue, 26 Jun 2001 12:38:19 -0700

Just to be formal, and be able to track changes. I am opening up this issue,
but accepted all of the issues, and am closing it right away.

Thanks,

PatC
----
Issue 92: Some editorials on Base-06 
Submitter name: Jaakko Rajaniemi 
Submitter email address: [email-masked] 
Date first submitted: 26-Jun-2001 
Reference: http://www.merit.edu/mail.archives/aaa-wg/msg01476.html 
Document: base-06 
Comment type: E 
Priority: S 
Section: 
Rationale/Explanation of issue: 

Editorial changes required in base protocol specification 
Requested change: 
> In the section 1.3, "Terminology", Session description, the last sentence 
> "devices serving the same user." should be removed? 

correct. 

> 
> In the section 2.5.3, "Redirector Agents", the 4th paragrapth, DRL instead 
> of DLR. 

yes. 

> 
> In the section 9.1.4, "Transient Failures", the error 
> DIAMETER_UNSUPPORTED_VERSION 5013 describes that: "This error is 
> returned when a CEA message is received, and the Diameter message is 
> unsupported." Should this be instead "This error is returned when a CEA 
> message is received, and the Diameter version is unsupported."? In this case 
> the version field of the CEA message could indicate the highest Diameter 
> base protocol version supported by the node. If this is not acceptable for 
> the receiving node it terminates the connection. 
yes the description is wrong, but I feel uncomfortable with your suggestion since 
it implies that an implementation supports all previous versions. I think that an 
implementation could just try to re-connect, and send a CER with a different 
supported version number. 

> 
> In the section 10.0, "Diameter User Sessions", 3rd paragraph, it says that 
> "Note that the Authorization-Lifetime AVP implies how long the Diameter 
> server is willing to pay for the services rendered, therefore a Diameter 
> client SHOULD NOT expect payment for services rendered past the session 
> expiration time." Should this be instead "...a Diameter client SHOULD NOT 
> expect payment for services rendered past the Authorization-Lifetime 
> expiration."? 

correct. 

> 
> In the section 10.1, "Authorization Session State Machine", the state 
> machine description, should SKR/SKA be replaced by 
> Abort-Session-Request/Answer (ASR/ASA)? 

yup. 

> 
> In the section 10.11, "Termination-Cause AVP", The error 
> DIAMETER_ADMINISTRATIVE 4 describes that "The user was not granted 
> access, or was disconnected, due to administrative reasons, such as the 
> receipt of a Session-Kill-Request message." Session-Kill-Request should be 
> replace by the Abort-Session-Request? 
Another one I missed :(